/*  Personalized Styles for Melissa's Site */


/* *****  Variables *****  */

:root {
    --bg-color: #333;
    --color: rgba(255, 255, 255, 0.50);
    --text2: rgb(182, 179, 179);
    --primary-color: #008ed6;
    --dark-overlay: rgba(0, 0, 0, 0.7);
    --dark-overlay2: rgba(0, 0, 0, 0.85);
    --bg-white: rgb(223, 210, 210);
}

body {
    background: var(--bg-color);
    color: var(--color);
}

a.btn-size {
    margin: .50rem;
    width: 13.5rem;
}

.navbar {
    border-bottom: var(--primary-color) 3px solid;
    opacity: 0.8;
}

.mainHeading {
    color: var(--text2);
}

#home-section,
#admin-section,
#create-section,
#list-users {
    background: url("../images/backgrounds/forrest.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 700px;
}

#home-section .dark-overlay,
#admin-section .dark-overlay,
#create-section .dark-overlay,
#list-users .dark-overlay {
    background-color: var(--dark-overlay);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 700px;
}


/*   *****     Home Page   *****     */

#home-section .home-inner {
    padding-top: 135px;
}

#home-page {
    background: url("../images/backgrounds/forrest_1.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 700px;
}

#home-page .dark-overlay {
    background-color: var(--dark-overlay);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 700px;
}

#home-page .display-4 {
    margin-top: 6.0rem;
}

#home-page .lead,
#home-page .display-4 {
    color: white;
}

#home-page .lead {
    margin-top: 1.5rem;
    text-align: justify;
}

.private {
    color: rgb(230, 230, 29);
    letter-spacing: .05rem;
    font-weight: bolder;
}


/*   *****     Contact Form   *****     */

#contact .contact-inner {
    padding-top: 135px;
}

#contact {
    background: url("../images/backgrounds/mail.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 700px;
}

#contact .dark-overlay {
    background-color: var(--dark-overlay2);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 700px;
}


/*   *****     Photo Section    *****     */

#photoSection {
    background: url("../images/backgrounds/photos.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 2900px;
}

#photoSection .dark-overlay {
    background-color: var(--dark-overlay);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 2900px;
}

#photoSection .photo-inner {
    padding-top: 60px;
}

#photoSection .card {
    margin-top: 1rem;
    width: 10rem;
    height: 16rem;
}

#photoSection .card-img-top {
    width: 10rem;
    height: 7rem;
    object-fit: cover;
    margin-bottom: -0.9rem;
}

#photoSection .card-title {
    width: 100%;
    text-align: center;
    padding: 2px;
    font-size: .90rem;
    color: black;
    margin-right: -0.5rem;
    margin-left: -0.5rem;
}

#photoSection .card-text {
    font-size: .75rem;
    color: black;
    margin-right: -0.5rem;
    margin-left: -0.5rem;
}


/*   *****     Insert Photo Form    *****     */

#insert_photo {
    background: url("../images/backgrounds/photos.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 900px;
}

#insert_photo .dark-overlay {
    background-color: var(--dark-overlay);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 900px;
}

.insertPhoto-inner {
    margin-top: 4rem;
}

.insertTitle {
    color: white;
    text-shadow: 2px 2px rgb(0, 0, 0);
}

.insertSmText {
    color: black;
}

.insertForm-background {
    padding: 1rem;
    background: var(--color);
    border-radius: .5rem;
}

#img-upload input[type='file'] {
    display: none;
}

#img-upload label {
    display: flex;
    justify-content: center;
    align-items: center;
    color: rgb(255, 255, 255);
    height: 32px;
    width: 250px;
    border: 1px solid #333;
    border-radius: 15px;
    background-color: #194991;
    position: relative;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    font-size: 1rem;
    cursor: pointer;
}

#img-upload label:hover {
    color: #000000;
    background-color: #69dbdf;
}

.img-preview {
    width: 200px;
    height: 150px;
    border: 2px solid #333;
    margin-top: 15px;
    /* Default Text Settings */
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: #CCC;
}

.img-preview-img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    display: none;
}

.insertTitle {
    margin-bottom: 2rem;
}


/*   *****     List Photo Form    *****     */

#photoList {
    background: url("../images/backgrounds/photos.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 2900px;
}

#photoList .dark-overlay {
    background-color: var(--dark-overlay);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 2900px;
}

.listPhotoTitle {
    color: rgb(215, 215, 215);
    margin-top: 80px;
    margin-bottom: 0;
}

.listTitleRow {
    margin-bottom: 1.5rem;
}

.listPhotos {
    color: rgb(215, 215, 215);
    margin-top: 2rem;
    padding: 0 1.5rem;
}

.listAllPhotos {
    color: rgb(215, 215, 215);
    margin-bottom: 2rem;
    padding: 0 25px;
}


/*   *****     Edit Photo Form    *****     */

#edit-photo-section {
    background: url("../images/backgrounds/photos.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 800px;
}

#edit-photo-section .dark-overlay {
    background-color: var(--dark-overlay);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 800px;
}

#editPhoto {
    margin-top: 8rem;
}

.editPhotoBackground {
    padding: 1rem;
    background: var(--color);
    border-radius: .5rem;
}

.editPhotoBackground label,
.editPhotoBackground small {
    color: black;
}

.editPhotoBackground h3 {
    color: black;
    text-shadow: 2px 2px rgb(48, 45, 45);
    text-align: center;
}


/*   *****     Video Section    *****     */

#videoSection,
#videoList,
#editVideo-section {
    background: url("../images/backgrounds/popcorn.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 2000px;
}

#videoSection .dark-overlay,
#videoList .dark-overlay,
#editVideo-section {
    background-color: var(--dark-overlay2);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 2000px;
}

#videoSection .video-inner {
    padding-top: 60px;
}

#videoSection img.videoImage {
    padding: 0;
    width: 10rem;
    height: 6rem;
    object-fit: cover;
}

#videoSection img.videoImageIcon {
    padding-top: .50rem;
    width: 4.5rem;
}

.liBackground {
    border: none;
    background-color: transparent;
}

#videoSection .lead {
    color: white;
    width: 100%;
}


/*   *****     Edit Video Section    *****     */

#editVideo-section {
    background: url("../images/backgrounds/popcorn.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 800px;
}

#editVideo-section .dark-overlay {
    background-color: var(--dark-overlay2);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 800px;
}


/*   *****     Upload Video Section  Form    *****     */

#progressBar {
    position: relative;
    width: 100% !important;
}


/*   *****     Create User Page   *****     */

.form-background {
    padding: 1rem;
    background: var(--color);
    border-radius: .5rem;
}

.create_user {
    margin-top: 100px;
}


/*   *****     Edit Member Page   *****     */

#edit-section {
    background: url("../images/backgrounds/forrest.jpg") no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 800px;
}

#edit-section .dark-overlay {
    background-color: rgba(0, 0, 0, 0.50);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 800px;
}

.inputWidth {
    margin: 0 auto;
    text-align: center;
    width: 4rem;
}

.readOnly {
    border: 2px solid red;
    background: rgba(138, 56, 56, 0.637);
}


/*   *****     Progress Bar Section   *****     */

#progressBar {
    width: 400px;
}


/*   *****     Footer Section   *****     */

#footer {
    padding-top: 1.5rem;
    background: rgb(3, 3, 3);
    min-height: 100px;
}